//------------------------------------------------------------------------
//  Button Menu
//------------------------------------------------------------------------
//
//  Visplane Explorer
//
//  Copyright (C) 2012 Andrew Apted
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//------------------------------------------------------------------------

#ifndef __VPOZOOM_UI_MENU_H__
#define __VPOZOOM_UI_MENU_H__


class UI_Menu : public Fl_Group
{
private:
	Fl_Button *load_wad;
	Fl_Button *set_map;

//	Fl_Button *save_image;

	Fl_Button *about;
	Fl_Button *quit;

public:
	UI_Menu(int X, int Y, int W, int H, const char *label = NULL);
	virtual ~UI_Menu();

public:
	void DisableLoadWAD();

	void EnableSetMap();
	void DisableSetMap();

private:
	static void about_callback(Fl_Widget *, void *);
	static void  quit_callback(Fl_Widget *, void *);
	static void  load_callback(Fl_Widget *, void *);
	static void   map_callback(Fl_Widget *, void *);
};


#endif  /* __VPOZOOM_UI_MENU_H__ */

//--- editor settings ---
// vi:ts=4:sw=4:noexpandtab
