//------------------------------------------------------------------------
//  Settings Panel
//------------------------------------------------------------------------
//
//  Visplane Explorer
//
//  Copyright (C) 2012 Andrew Apted
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//------------------------------------------------------------------------

#ifndef __VPOZOOM_UI_PANEL_H__
#define __VPOZOOM_UI_PANEL_H__


class UI_Panel : public Fl_Group
{
private:
	Fl_Choice *view;


public:
	UI_Panel(int X, int Y, int W, int H, const char *label = NULL);
	virtual ~UI_Panel();

public:
	// returns:
	//    'v' for visplanes
	//    'd' for drawsegs
	//    'o' for openings
	//    's' for solidsegs
	char GetMode() const;

	void SetMode(char mode);

	void ShowDatum(datum_t d);

private:
	static void view_callback(Fl_Widget *, void *);
};


#endif  /* __VPOZOOM_UI_PANEL_H__ */

//--- editor settings ---
// vi:ts=4:sw=4:noexpandtab
