//------------------------------------------------------------------------
//  Main Window
//------------------------------------------------------------------------
//
//  Visplane Explorer
//
//  Copyright (C) 2012 Andrew Apted
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//------------------------------------------------------------------------

#ifndef __VPOZOOM_UI_WINDOW_H__
#define __VPOZOOM_UI_WINDOW_H__


#define WINDOW_BG  fl_gray_ramp(3)

#define BUILD_BG   fl_gray_ramp(9)


class UI_MainWin : public Fl_Double_Window
{
public:
	// main child widgets

	int panel_W;

	UI_Canvas  *canvas;
	UI_Menu    *menu;
	UI_Panel   *panel;
	UI_InfoBar *infobar;

private:
	Fl_Cursor cursor_shape;

public:
	UI_MainWin();
	virtual ~UI_MainWin();

public:
//!!!	void SetTitle(Wad_file *wad);

	// this is a wrapper around the FLTK cursor() method which
	// prevents the possibly expensive call when the shape hasn't
	// changed.
	void SetCursor(Fl_Cursor shape);
};


extern UI_MainWin * main_win;


#endif  /* __VPOZOOM_UI_WINDOW_H__ */

//--- editor settings ---
// vi:ts=4:sw=4:noexpandtab
